/* DO NOT EDIT THIS FILE */
/* This file is autogenerated by the text-database code generator */

#include <touchgfx/InternalFlashFont.hpp>
#include <touchgfx/TypedText.hpp>
#include <texts/TypedTextDatabase.hpp>

#ifndef NO_USING_NAMESPACE_TOUCHGFX
using namespace touchgfx;
#endif

extern touchgfx::InternalFlashFont& getFont_Asap_Regular_14_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_12_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_20_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_ipaexg_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_ipaexg_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_NotoSans_Regular_13_4bpp();
extern touchgfx::InternalFlashFont& getFont_NotoSans_Regular_22_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_14_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_24_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_18_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_46_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Regular_16_4bpp();
extern touchgfx::InternalFlashFont& getFont_Asap_Bold_otf_20_4bpp();

const touchgfx::Font* const _fonts[] = {
    &(getFont_Asap_Regular_14_4bpp()),
    &(getFont_Asap_Regular_12_4bpp()),
    &(getFont_Asap_Regular_20_4bpp()),
    &(getFont_Asap_Regular_13_4bpp()),
    &(getFont_Asap_Regular_22_4bpp()),
    &(getFont_ipaexg_13_4bpp()),
    &(getFont_ipaexg_22_4bpp()),
    &(getFont_NotoSans_Regular_13_4bpp()),
    &(getFont_NotoSans_Regular_22_4bpp()),
    &(getFont_Asap_Bold_otf_14_4bpp()),
    &(getFont_Asap_Bold_otf_24_4bpp()),
    &(getFont_Asap_Regular_18_4bpp()),
    &(getFont_Asap_Bold_otf_46_4bpp()),
    &(getFont_Asap_Regular_16_4bpp()),
    &(getFont_Asap_Bold_otf_20_4bpp())
};

TEXT_LOCATION_FLASH_PRAGMA
const touchgfx::TypedText::TypedTextData typedText_database_DEFAULT[] TEXT_LOCATION_FLASH_ATTRIBUTE = {
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 1, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 1, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 4, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 4, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 4, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 9, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 10, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 10, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 11, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 12, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 13, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 4, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 9, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR }
};

TEXT_LOCATION_FLASH_PRAGMA
const touchgfx::TypedText::TypedTextData typedText_database_Jpn[] TEXT_LOCATION_FLASH_ATTRIBUTE = {
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 1, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 1, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 6, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 5, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 6, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 5, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 6, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 5, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 9, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 10, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 10, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 11, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 12, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 13, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 4, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 9, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR }
};

TEXT_LOCATION_FLASH_PRAGMA
const touchgfx::TypedText::TypedTextData typedText_database_Ukr[] TEXT_LOCATION_FLASH_ATTRIBUTE = {
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 1, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 1, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 8, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 7, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 8, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 7, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 8, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 7, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 9, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 10, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 10, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 11, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 12, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 13, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 14, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 2, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::CENTER, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 4, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 3, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::RIGHT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 0, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR },
    { 9, touchgfx::LEFT, touchgfx::TEXT_DIRECTION_LTR }
};


TEXT_LOCATION_FLASH_PRAGMA
const touchgfx::TypedText::TypedTextData* const typedTextDatabaseArray[] TEXT_LOCATION_FLASH_ATTRIBUTE =
{
    typedText_database_DEFAULT,
    typedText_database_DEFAULT,
    typedText_database_Jpn,
    typedText_database_Ukr,
    typedText_database_DEFAULT
};

namespace TypedTextDatabase
{
  const touchgfx::TypedText::TypedTextData* getInstance(touchgfx::LanguageId id)
  {
    return typedTextDatabaseArray[id];
  }

  uint16_t getInstanceSize()
  {
    return sizeof(typedText_database_DEFAULT) / sizeof(touchgfx::TypedText::TypedTextData);
  }
  const touchgfx::Font* const * getFonts()
  {
    return _fonts;
  }
}
